## dacs 1.4.38a

=== src/bn/Makefile ===
#
# Copyright (c) 2003-2016
# Distributed Systems Software.  All rights reserved.
# See the file BN-LICENSE for redistribution information.
#
# $Id: Makefile 2896 2016-06-08 19:28:07Z brachman $
#

CC=gcc
CFLAGS=-g -DOPENSSL -I. -Wall -fPIC

INCS=bn.h bn_lcl.h

OBJS=bn.o bn_add.o bn_asm.o bn_ctx.o bn_div.o bn_exp.o bn_lib.o \
	bn_mod.o bn_mul.o bn_print.o bn_shift.o bn_sqr.o bn_word.o

.PHONY:	all bn clean distclean lib objs

bn:		libbn.a sha3.o

objs:	$(OBJS)	$(INCS)

all:	lib main sha3

main:	lib main.c
	$(CC) -DPROG $(CFLAGS) -o main main.c sha3.c libbn.a

sha3:	lib
	$(CC) $(CFLAGS) -DPROG sha3.c -o sha3

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

lib:	libbn.a

libbn.a:	$(OBJS)
	ar rv libbn.a $(OBJS)
	ranlib libbn.a

clean:
	rm -f *.o libbn.a main sha3 *.core

distclean:	clean
	rm -rf autom4te.cache config.h config.status config.nice config.log

bn.o:		bn.c bn.h
bn_word.o:	bn_word.c bn.h
