## dacs 1.4.27

=== debian/changelog ===
dacs (1.4.27-1) unstable; urgency=low

  * New upstream version and inital Debian upload.
  * Remove .la file.
  * Remove RPATH from .so files.
  * Install to debian/tmp and use dh_install.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Jan 2012 17:43:55 +0100

dacs (1.4.26-1) unstable; urgency=low

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 07 Dec 2011 14:52:42 +0100

dacs (1.4.23-3) lenny-backports; urgency=low

  * Enable more authentication schemes.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 26 Mar 2010 15:28:32 +0100

dacs (1.4.23-2) lenny-backports; urgency=low

  * Build for lenny. 

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 18 Feb 2010 13:30:23 +0100

dacs (1.4.23-1) etch-backports; urgency=low

  * Update to 1.4.23.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 30 Sep 2009 16:23:53 +0200

dacs (1.4.22-1) etch-backports; urgency=low

  * Initial release.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 17 Apr 2009 15:21:03 +0200
