=== debian/control ===
Source: dacs
Section: web
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7),
 apache2-threaded-dev, libssl-dev, libexpat1-dev, chrpath,
 libsasl2-dev, libperl-dev, libldap2-dev, autotools-dev,
 groff-base, xsltproc, docbook-xsl, libxmlsec1-dev, libpam0g-dev
Standards-Version: 3.9.2
Homepage: http://dacs.dss.ca/
Vcs-Git: git://anonscm.debian.org/collab-maint/dacs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dacs.git

Package: dacs
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libapache2-mod-dacs
Description: Distributed Access Control System (DACS)
 DACS is a light-weight single sign-on and role-based access control system
 for web servers and server-based software. It is also an authentication and
 authorization toolkit for programmers. DACS makes secure resource sharing
 and remote access via the web easier, safer, and more efficient.
 .
 DACS provides:
 .
   * universal, extensible, modular, and efficient authentication methods,
     including two-factor authentication and hardware tokens
   * powerful, comprehensive, rule-based authorization checking that can
     be applied selectively and transparently to any resource or activity
     (such as web services, web content, and program features) by
     Apache-based web services, CGI programs, servlets, or virtually any
     program or script
   * secure, web-based single sign-on (SSO)
   * flexible, programmable configuration
   * an Apache 2.0/2.2 module, suite of CGI-based programs, and collection
     of command line tools

Package: libapache2-mod-dacs
Section: httpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version})
Description: Distributed Access Control System (DACS) - Apache Module
 DACS is a light-weight single sign-on and role-based access control system
 for web servers and server-based software. It is also an authentication and
 authorization toolkit for programmers. DACS makes secure resource sharing
 and remote access via the web easier, safer, and more efficient.
 .
 This package contains the Apache2 module.

Package: libdacs1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Distributed Access Control System (DACS) - shared library
 DACS is a light-weight single sign-on and role-based access control system
 for web servers and server-based software. It is also an authentication and
 authorization toolkit for programmers. DACS makes secure resource sharing
 and remote access via the web easier, safer, and more efficient.
 .
 This package contains the DACS shared library.

Package: libdacs-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdacs1 (= ${binary:Version})
Replaces: dacs-dev (<< 1.4.22)
Conflicts: dacs-dev (<< 1.4.22)
Provides: dacs-dev
Description: Distributed Access Control System (DACS) - shared library
 DACS is a light-weight single sign-on and role-based access control system
 for web servers and server-based software. It is also an authentication and
 authorization toolkit for programmers. DACS makes secure resource sharing
 and remote access via the web easier, safer, and more efficient.
 .
 This package contains development files for the DACS shared library.

Package: dacs-examples
Section: web
Architecture: all
Depends: ${misc:Depends}
Recommends: libapache2-mod-dacs (>= ${source:Version}), dacs (>= ${source:Version})
Description: Distributed Access Control System (DACS) - example web root
 DACS is a light-weight single sign-on and role-based access control system
 for web servers and server-based software. It is also an authentication and
 authorization toolkit for programmers. DACS makes secure resource sharing
 and remote access via the web easier, safer, and more efficient.
 .
 This package contains an example web root directory to use with dacs.
