## dacs 1.4.27b

=== debian/changelog ===
dacs (1.4.27b-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Nov 2012 19:37:00 +0100

dacs (1.4.27b-2) unstable; urgency=medium

  * Remove libapache2-mod-dacs.postrm in order not to remove the conffile
    /etc/apache2/mods-available/auth_dacs.load on package remove. The symlink
    from mods-enabled is removed on package remove, so we can simply leave the
    mods-available file around.  Closes: #689541

 -- Christoph Berg <myon@debian.org>  Mon, 22 Oct 2012 14:48:10 +0200

dacs (1.4.27b-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Fri, 23 Mar 2012 12:44:20 +0100

dacs (1.4.27b-1) unstable; urgency=low

  * New upstream version.
  * All relevant patches were accepted upstream.
  * Set SHELL=@SHELL@ in defs.mk.in, libtool needs it.
  * Update symbols file.
  * Update rules and .install files for new locations in the tmp tree.
  * Rename /usr/bin/http to dacshttp, the httpie package also provides it.
    Closes: #663509
  * Add lintian override for GPL-vs-openssl.

 -- Christoph Berg <myon@debian.org>  Wed, 21 Mar 2012 12:04:24 +0100

dacs (1.4.27-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Mon, 05 Mar 2012 11:55:32 +0100

dacs (1.4.27-2) unstable; urgency=low

  [ Martin Zobel-Helas ]
  * Add myself to Uploaders.
  * Add apache2.2-common to Depends.

  [ Christoph Berg ]
  * Add a strict versioned dependency from dacs to libdacs1.
  * Add symbols file for libdacs1.
  * Remove broken debugging code from src/mkkey.c as per the dacs post-release
    notes.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Feb 2012 11:54:50 +0100

dacs (1.4.27-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Feb 2012 15:31:36 +0100
