=== debian/rules ===
--- 
+++ 
@@ -149,14 +149,18 @@
 	$(MAKE) -C $(CURDIR)/src install DESTDIR=$(CURDIR)/debian/tmp
 	$(MAKE) -C $(CURDIR)/apache install DESTDIR=$(CURDIR)/debian/tmp
 
+	# misc stuff is installed via dh_installdoc and similar tools
+	rm -rf $(CURDIR)/debian/tmp/usr/www/misc
 	#remove broken links
-	rm $(CURDIR)/debian/tmp/usr/share/dacs/man/css
-	rm $(CURDIR)/debian/tmp/usr/share/dacs/man/misc
+	rm $(CURDIR)/debian/tmp/usr/www/man/css
+	rm $(CURDIR)/debian/tmp/usr/www/man/misc
+	#fix examples directory name
+	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/dacs-examples
+	mv $(CURDIR)/debian/tmp/usr/www $(CURDIR)/debian/tmp/usr/share/doc/dacs-examples/dacs
 	#remove empty dirs
 	rmdir $(CURDIR)/debian/tmp/usr/lib/cgi-bin/dacs-native
-	rmdir $(CURDIR)/debian/tmp/var/tmp
-	# misc stuff is installed via dh_installdoc and similar tools
-	rm -rf $(CURDIR)/debian/tmp/usr/share/dacs/misc
+	rmdir $(CURDIR)/debian/tmp/usr/tmp
+	#remove preformatted manpages
 	rm -rf $(CURDIR)/debian/tmp/usr/share/man/cat*
 	#library tweaks
 	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libdacs.so
@@ -164,6 +168,9 @@
 	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
 	chrpath -d $(CURDIR)/debian/tmp/usr/sbin/*
 	rm $(CURDIR)/debian/tmp/usr/lib/libdacs.la
+	#rename http to dacshttp
+	mv $(CURDIR)/debian/tmp/usr/bin/http $(CURDIR)/debian/tmp/usr/bin/dacshttp
+	mv $(CURDIR)/debian/tmp/usr/share/man/man1/http.1 $(CURDIR)/debian/tmp/usr/share/man/man1/dacshttp.1
 
 	dh_install --fail-missing
 
@@ -239,6 +246,7 @@
 	   src/.defaults \
 	   src/config.log \
 	   src/config.nice \
+	   src/configure.lineno \
 	   src/defs.mk \
 	   src/defs.vars \
 	   src/expr.loT \
