## dacs 1.4.28b

=== debian/changelog ===
dacs (1.4.28b-3ubuntu1) trusty; urgency=low

  * Use dh-autoreconf and dh_autotools-dev* for newer arches.
    - Specify autoconf macros directory.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 04 Feb 2014 09:22:53 -0500

dacs (1.4.28b-3) unstable; urgency=low

  * Fix linking errors/warnings (Closes: #717149)
  * Fix more lintian warnings, let dh_apache2 do the job for us

 -- Martin Zobel-Helas <zobel@debian.org>  Wed, 17 Jul 2013 21:00:28 +0200

dacs (1.4.28b-2) unstable; urgency=low

  * debian/control: Adjust build-deps for apache2.4 (Closes: #666810)
  * debian/rules: Use hardening build flags
  * icx.c: Patch to not use internal libxml functions any more (with many
    thanks to Felix Geyer)
  * Update to Standards-Version 3.9.4, no changes needed
  * debian/control: Adjust Depends on libapache-mod-dacs to apache2-api
  * debian/rules: make cgi-bin/dacs_error executable

 -- Martin Zobel-Helas <zobel@debian.org>  Sat, 06 Jul 2013 21:07:17 +0200

dacs (1.4.28b-1) experimental; urgency=low

  * New upstream version.
  * Update symbols file

 -- Martin Zobel-Helas <zobel@debian.org>  Sat, 23 Mar 2013 01:04:35 +0100

dacs (1.4.28a-1) experimental; urgency=low

  * New upstream version.
  * debian/patches: Update libtool-shell patch
  * debian/rules: Enable infocard-auth
  * debian/rules: Sort enable flags by alphabet
  * Update symbols file, needed for new infocard-auth

 -- Martin Zobel-Helas <zobel@debian.org>  Tue, 12 Feb 2013 13:58:26 +0100

dacs (1.4.28-1) experimental; urgency=low

  * New upstream version.
  * Update symbols file, removed symbol: http_main@Base.
  * debian/rules: The dacshttp renaming went upstream.
  * debian/rules: Run dacsexpr tests.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Dec 2012 16:18:12 +0100
