=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: dacs
 Section: web
 Priority: optional
-Maintainer: Christoph Berg <myon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
+Uploaders: Martin Zobel-Helas <zobel@debian.org>
 Build-Depends: debhelper (>= 7),
- apache2-threaded-dev, libssl-dev, libexpat1-dev, chrpath,
- libsasl2-dev, libperl-dev, libldap2-dev, autotools-dev,
+ apache2-dev, libssl-dev, libexpat1-dev, chrpath,
+ libsasl2-dev, libperl-dev, libldap2-dev, dh-autoreconf, autotools-dev,
  groff-base, xsltproc, docbook-xsl, libxmlsec1-dev, libpam0g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://dacs.dss.ca/
 Vcs-Git: git://anonscm.debian.org/collab-maint/dacs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dacs.git
@@ -14,7 +16,7 @@
 Package: dacs
 Section: web
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdacs1 (= ${binary:Version})
 Suggests: libapache2-mod-dacs
 Description: Distributed Access Control System (DACS)
  DACS is a light-weight single sign-on and role-based access control system
@@ -39,7 +41,7 @@
 Package: libapache2-mod-dacs
 Section: httpd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version}), apache2-api-20120211
 Description: Distributed Access Control System (DACS) - Apache Module
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and
