=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export AUTOHEADER = true
 
 PKG_APACHE2        := libapache2-mod-dacs
 PKG_DACS           := dacs
@@ -41,7 +42,8 @@
 #  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 #endif
 
-
+DPKG_EXPORT_BUILDFLAGS=1
+include /usr/share/dpkg/buildflags.mk
 
 
 ext_lib := $(CURDIR)/ext_lib
@@ -68,15 +70,8 @@
 	   exit 1 ;\
 	fi
 
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	rm -f src/conftools/config.sub
-	cp -f /usr/share/misc/config.sub src/conftools/config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	rm -f src/conftools/config.guess
-	cp -f /usr/share/misc/config.guess src/conftools/config.guess
-endif
-
+	dh_autotools-dev_updateconfig
+	dh_autoreconf
 
 	#Linking external libraries and programs
 	# Apache
@@ -89,7 +84,6 @@
 #	  $(CONFENV) ./configure
 	set -e ;\
 	  cd src ;\
-	  unset LDFLAGS CFLAGS ;\
 	  ./configure \
 	    --prefix=/usr \
 	    --localstatedir=/var \
@@ -97,19 +91,20 @@
 	    --sysconfdir=/etc/dacs \
 	    --includedir=/usr/include/dacs \
 	    --disable-bdb \
+	    --disable-gdbm \
 	    --enable-access-tokens \
+	    --enable-apache-auth \
+	    --enable-cas-auth \
 	    --enable-cert-auth \
-	    --disable-gdbm \
+	    --enable-infocard-auth \
+	    --enable-ldap-auth \
+	    --enable-local-roles \
+	    --enable-native-auth \
+	    --enable-pam-auth \
+	    --enable-token-auth \
 	    --enable-unix-auth \
-	    --enable-apache-auth \
-	    --enable-native-auth \
-	    --enable-ldap-auth \
-	    --enable-cas-auth \
-	    --enable-token-auth \
-	    --enable-pam-auth \
+	    --enable-unix-roles \
 	    --enable-user-info \
-	    --enable-unix-roles \
-	    --enable-local-roles \
 	    --with-htdocs=/usr/share/dacs \
 	    --with-federations-root=/etc/dacs/federations \
 	    --with-dacs-log=/var/log/dacs/error_log \
@@ -131,8 +126,9 @@
 
 	echo "root" > src/.ownername
 	echo "www-data" > src/.groupname
-	unset LDFLAGS CFLAGS && $(MAKE) -C $(CURDIR)/src
-	unset LDFLAGS CFLAGS && $(MAKE) -C $(CURDIR)/apache tag
+	$(MAKE) -C $(CURDIR)/src
+	$(MAKE) -C $(CURDIR)/apache tag
+	$(MAKE) -C $(CURDIR)/src/tests
 
 	ln -s /usr/share/xml/docbook/stylesheet/nwalsh $(CURDIR)/man/docbook-xsl
 	$(MAKE) -B -C $(CURDIR)/man mansrc html index
@@ -168,9 +164,6 @@
 	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
 	chrpath -d $(CURDIR)/debian/tmp/usr/sbin/*
 	rm $(CURDIR)/debian/tmp/usr/lib/libdacs.la
-	#rename http to dacshttp
-	mv $(CURDIR)/debian/tmp/usr/bin/http $(CURDIR)/debian/tmp/usr/bin/dacshttp
-	mv $(CURDIR)/debian/tmp/usr/share/man/man1/http.1 $(CURDIR)/debian/tmp/usr/share/man/man1/dacshttp.1
 
 	dh_install --fail-missing
 
@@ -199,6 +192,7 @@
 	dh_testroot
 	dh_installchangelogs -s HISTORY
 	dh_installdocs -s
+	dh_apache2
 	dh_strip -s
 	dh_compress -s
 	for pkg in $(PKG_APACHE2) $(PKG_DACS); do \
@@ -210,6 +204,7 @@
 	    fi ;\
 	  done ;\
 	done
+	chmod 755 $(CURDIR)/debian/dacs/usr/lib/cgi-bin/dacs/dacs_error
 	dh_fixperms -s
 	dh_makeshlibs -s
 	dh_shlibdeps -s
@@ -226,13 +221,6 @@
 
 	[ ! -f $(CURDIR)/src/Makefile ] || $(MAKE) -C $(CURDIR)/src distclean
 	[ ! -f $(CURDIR)/apache/Makefile ] || $(MAKE) -C $(CURDIR)/apache distclean
-
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	rm -f src/conftools/config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	rm -f src/conftools/config.guess
-endif
 
 	rm -f man/docbook-xsl
 	rm -f man/*.html
@@ -257,5 +245,7 @@
 	rm -f src/.ownername src/.groupname
 
 	rm -f configure-stamp build-stamp
+	dh_autoreconf_clean
+	dh_autotools-dev_restoreconfig
+	rm -f src/conftools/lt* src/conftools/libtool.m4
 	dh_clean
-
