## dacs 1.4.38a

=== debian/changelog ===
dacs (1.4.38a-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 22:32:51 +0000

dacs (1.4.38a-2) unstable; urgency=medium

  * Reintroduce debian/patches/ssl_hook_Fixup. Otherwise, the module tries to
    access the non-public ssl_hook_Fixup() function which is not resolvable
    anymore in recent openssl versions. Practical history in Debian (the patch
    had been there since the package was first uploaded in 2012, and even
    earlier in private packages), and code comments indicate the function call
    is not necessary, so remove it. Thanks to Jonas Smedegaard for spotting!
    (Closes: #863395)
  * Build-Depend on apache2-ssl-dev instead of libssl-dev to match the openssl
    version apache2 is using.
  * Add test case using a2enmod/apache2ctl configtest.
  * Remove Build-Depends on libxmlsec1-dev which was only needed for the
    already disabled infocard support. (Additionally, libxmlsec1-dev depends
    on libssl-dev, so it was not co-installable with libssl1.0-dev anyway.)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 02 Jun 2017 13:51:39 +0200

dacs (1.4.38a-1) unstable; urgency=medium

  * New upstream version.
    + Do not check/set mode of a log file that does not exist or is not a
      regular file. (Closes: #729410)
    + Added the DACS_SIGNOUT_RESULT parameter to a SIGNOUT_HANDLER URL and
      extended SIGNOUT_HANDLER to explicitly allow a user-specified signout
      handler URL to override a default URL. See dacs_signout(8) and
      dacs.conf(5) for details. (Closes: #739566)
    + For Linux, use _DEFAULT_SOURCE instead of _BSD_SOURCE. (Closes: #703552)
    + Avoid producing a duplicate error message in dacs_auth_transfer.
      (Closes: #740413)

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 12 Jan 2017 16:22:08 +0100

dacs (1.4.38-1) unstable; urgency=medium

  * New upstream version.
    + Works with OpenSSL 1.1. (Closes: #828277)
    + Uses newer config.guess/sub. (Closes: #737641)
    + Installs dacsinit. (Closes: #729475)
  * Rewrite rules to use dh.
  * Disable infocard auth, broken in 1.4.38.
  * Drop debian/patches/ssl_hook_Fixup.
  * Update libdacs1.symbols.
  * Update watch file to also look for .txz files.
  * Fix libdacs-dev short description, thanks Daniele Forsi.
    (Closes: #810537)
  * Remove redundant "dacs" subdir from examples package. (Closes: #729470)
  * Add patch by Chris Lamb to make build reproducible, thanks!
    (Closes: #835673)
  * Support DEB_BUILD_OPTIONS=nodoc.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 02 Nov 2016 17:21:22 +0100
