=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
+XSBC-Original-Maintainer: Christoph Berg <christoph.berg@credativ.de>
 Uploaders: Martin Zobel-Helas <zobel@debian.org>
-Build-Depends: debhelper (>= 7),
- apache2-dev, libssl-dev, libexpat1-dev, chrpath,
- libsasl2-dev, libperl-dev, libldap2-dev, dh-autoreconf, autotools-dev,
- groff-base, xsltproc, docbook-xsl, libxmlsec1-dev, libpam0g-dev
-Standards-Version: 3.9.4
-Homepage: http://dacs.dss.ca/
-Vcs-Git: git://anonscm.debian.org/collab-maint/dacs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dacs.git
+Build-Depends: debhelper (>= 9),
+ apache2-dev, apache2-ssl-dev, libexpat1-dev, chrpath,
+ libsasl2-dev, libperl-dev, libldap2-dev, autotools-dev,
+ groff-base, xsltproc, docbook-xsl, libpam0g-dev
+Standards-Version: 3.9.8
+Homepage: https://dacs.dss.ca/
+Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/dacs.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dacs.git
 
 Package: dacs
 Section: web
@@ -41,7 +41,7 @@
 Package: libapache2-mod-dacs
 Section: httpd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version}), apache2-api-20120211
+Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version})
 Description: Distributed Access Control System (DACS) - Apache Module
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and
@@ -69,7 +69,7 @@
 Replaces: dacs-dev (<< 1.4.22)
 Conflicts: dacs-dev (<< 1.4.22)
 Provides: dacs-dev
-Description: Distributed Access Control System (DACS) - shared library
+Description: Distributed Access Control System (DACS) - development files
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and
  authorization toolkit for programmers. DACS makes secure resource sharing
