=== debian/watch ===
version=3
http://dacs.dss.ca/download.html .*/dacs-(.*)\.t[gbx]z
