## dacs 1.4.40

=== src/libradius/Makefile ===
# Copyright (c) 2003-2018
# Distributed Systems Software.  All rights reserved.
# See the file LICENSE for redistribution information.
#
# $Id: Makefile 2985 2018-01-26 00:20:10Z brachman $

.PHONY: install

INCLUDES=install/include/radlib.h
LIBS=install/lib/libradius.a install/lib/libradius.so

install:
	@(cd src; $(MAKE) install)

clean:
	@(cd src; $(MAKE) clean)
	@rm -f $(LIBS) $(INCLUDES)
