=== debian/changelog ===
dacs (1.4.40-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Christoph Berg ]
  * Exclude hurd from listed architectures.
  * Use my debian.org address.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Feb 2019 14:08:41 +0100

dacs (1.4.40-1) unstable; urgency=medium

  * New upstream version.
  * Fix build documentation: Build-depend on docbook-xml and add a symlink
    during build. Thanks Jonas Smedegaard! (Closes: #863528)
  * Mark dacs-examples as Multi-Arch: foreign. (Thanks to the MA-hinter!)
  * Update libdacs1.symbols. Missing now: crypto_cipher_iv_length.
  * Bump to DH 11 and remove dh --with autotools_dev.
  * Move repository to salsa.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 12 Mar 2018 10:08:04 +0100
