=== debian/control ===
--- 
+++ 
@@ -1,22 +1,31 @@
 Source: dacs
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Berg <christoph.berg@credativ.de>
+Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Martin Zobel-Helas <zobel@debian.org>
-Build-Depends: debhelper (>= 9),
- apache2-dev, apache2-ssl-dev, libexpat1-dev, chrpath,
- libsasl2-dev, libperl-dev, libldap2-dev, autotools-dev,
- groff-base, xsltproc, docbook-xsl, libpam0g-dev
-Standards-Version: 3.9.8
+Build-Depends:
+ apache2-dev,
+ apache2-ssl-dev,
+ chrpath,
+ debhelper (>= 11),
+ docbook-xml,
+ docbook-xsl,
+ groff-base,
+ libexpat1-dev,
+ libldap2-dev,
+ libpam0g-dev,
+ libperl-dev,
+ libsasl2-dev,
+ xsltproc,
+Standards-Version: 4.3.0
 Homepage: https://dacs.dss.ca/
-Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/dacs.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dacs.git
+Vcs-Git: https://salsa.debian.org/debian/dacs.git
+Vcs-Browser: https://salsa.debian.org/debian/dacs
 
 Package: dacs
 Section: web
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdacs1 (= ${binary:Version})
+Architecture: linux-any kfreebsd-any
+Depends: libdacs1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: libapache2-mod-dacs
 Description: Distributed Access Control System (DACS)
  DACS is a light-weight single sign-on and role-based access control system
@@ -40,8 +49,8 @@
 
 Package: libapache2-mod-dacs
 Section: httpd
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version})
+Architecture: linux-any kfreebsd-any
+Depends: dacs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Distributed Access Control System (DACS) - Apache Module
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and
@@ -52,8 +61,8 @@
 
 Package: libdacs1
 Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: linux-any kfreebsd-any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Distributed Access Control System (DACS) - shared library
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and
@@ -64,8 +73,8 @@
 
 Package: libdacs-dev
 Section: libdevel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdacs1 (= ${binary:Version})
+Architecture: linux-any kfreebsd-any
+Depends: libdacs1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: dacs-dev (<< 1.4.22)
 Conflicts: dacs-dev (<< 1.4.22)
 Provides: dacs-dev
@@ -80,8 +89,11 @@
 Package: dacs-examples
 Section: web
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: libapache2-mod-dacs (>= ${source:Version}), dacs (>= ${source:Version})
+Recommends:
+ dacs (>= ${source:Version}),
+ libapache2-mod-dacs (>= ${source:Version}),
 Description: Distributed Access Control System (DACS) - example web root
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and
