=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,7 @@
 
 ifeq ($(filter nodoc, $(DEB_BUILD_OPTIONS)),)
 	ln -s /usr/share/xml/docbook/stylesheet/nwalsh $(CURDIR)/man/docbook-xsl
+	ln -s /usr/share/xml/docbook/schema/dtd/4 $(CURDIR)/man/docbook-xml
 	$(MAKE) -B -C $(CURDIR)/man mansrc html index
 endif
 
@@ -140,4 +141,4 @@
 	dh_clean
 
 %:
-	dh $@ --with apache2,autotools_dev
+	dh $@ --with apache2
